For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList agents
      • POSTCreate agent
      • POSTFetch external agent card
      • POSTRefresh cached agent card
      • GETGet agent details
      • PUTUpdate agent
      • DELDelete agent
      • GETExport agent for runtime
      • GETList agent executions
      • GETGet execution detail
      • GETList tool calls
      • GETGet tool call detail
      • POSTPublish agent
      • POSTAdd capability to agent
      • DELRemove capability from agent
Dashboard
LogoLogo
Runtype APIAgents

Fetch external agent card

POST
/v1/agents/fetch-agent-card
POST
/v1/agents/fetch-agent-card
$curl -X POST https://api.runtype.com/v1/agents/fetch-agent-card \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "url": "https://agents.runtype.com/cards/agent123.json"
>}'
1{}

Proxy-fetch an external agent card from a URL, avoiding CORS issues. The URL is validated against SSRF attacks.

Was this page helpful?
Previous

Refresh cached agent card

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
urlstringRequiredformat: "uri"

Response

Agent card JSON

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
502
Bad Gateway Error